PaulOBrien

XMOD: Region / Device / Root patched Google Wallet

763 posts in this topic

Paul,

Any chance you will be patching 1.5-R79-v5?

I really appreciate it. Thx,

0

Share this post


Link to post
Share on other sites

Could anything in the build prop stop this from installing?

Edited by borgsta
0

Share this post


Link to post
Share on other sites

Finally get it working on my Jelly Bean Galaxy Nexus with root explorer. ES and Solid Explorer did not work.

Did not change the permissions after copying with Root Explorer which was rw-rw-r--

0

Share this post


Link to post
Share on other sites

I used to have Wallet working perfectly on my S3 when running ICS, since I've upgraded to Jellybean im having problems getting it up and running again. Does the build prop have to be modified with the same changes for JB, I've tried doing it this way by my phone refuses to boot properly with the modded bulld prop. Any help would be greatly appreciated.

0

Share this post


Link to post
Share on other sites

Hey this is weird. I woke up this morning to a notification that Google Wallet had updated (despite auto-update on it being turned off, and despite having just used TiBu to detach it from the Market). This happened before with the latest version, blast it. How the heck does that happen? Really annoying.

When that happened, Wallet wouldn't even open past the splash screen. I had to wipe it from the phone and reinstall the MoDaCo version.

Here's the really weird part: I tried opening Wallet, and it worked. Entered my PIN, and everything's there; Prepaid card w/proper balance, all my credit cards, etc. I went to App Settings on the phone, and it shows Wallet as updated to r-79-v5 and has the uninstall updates available. TiBu also reports it as updated.

What the heck could be going on; as mentioned, when this happened a few weeks ago, the app wouldn't even open, now it updates and works fine (well, I haven't tried making a payment anywhere).

Has anyone else had this happen? Anyone willing to try to update via the Market to test for same results?

I wonder if this will survive a reboot.

Any suggestions at this point?

post-654571-0-55224600-1347540114_thumb.post-654571-0-73072600-1347540134_thumb.

Edited by DistortedLoop
0

Share this post


Link to post
Share on other sites

I used to have Wallet working perfectly on my S3 when running ICS, since I've upgraded to Jellybean im having problems getting it up and running again. Does the build prop have to be modified with the same changes for JB, I've tried doing it this way by my phone refuses to boot properly with the modded bulld prop. Any help would be greatly appreciated.

I had to modify the build.prop on my S3 (JB - LI5) to add the Google Prepaid Card, after that I reverted to the original values and it still works.

0

Share this post


Link to post
Share on other sites

I managed to add all of my credit cards (with the build.prop mod, wasn't working with standard S3 settings).

I haven't tried using my S3 to pay for anything yet as the only place here in Italy with PayPass terminals is McDonald's..

I'll try next time I go :)

0

Share this post


Link to post
Share on other sites

Just installed CM10 Jelly Bean rom (nightly build) I got GW installed and did the edit to the build.prop no problem but got stuck on activation. I replaced the NFC libs but now the NFC option is not in settings! This happened before in ICS but I can't remember how I fixed it! If only we could be paid a $1 per hour we spend on this...

0

Share this post


Link to post
Share on other sites

Just installed CM10 Jelly Bean rom (nightly build) I got GW installed and did the edit to the build.prop no problem but got stuck on activation. I replaced the NFC libs but now the NFC option is not in settings! This happened before in ICS but I can't remember how I fixed it! If only we could be paid a $1 per hour we spend on this...

the libs you replaced won't work on cm10...besides cm already has the correct ones. use the "galaxy nexus" build.prop and it should work

ro.product.model=Galaxy Nexus

ro.product.name=yakju

ro.product.device=maguro

Edited by ogdobber
0

Share this post


Link to post
Share on other sites

the libs you replaced won't work on cm10...besides cm already has the correct ones. use the "galaxy nexus" build.prop and it should work

ro.product.model=Galaxy Nexus

ro.product.name=yakju

ro.product.device=maguro

ogdobber you are bang on my man! Works like a charm. Thanks again for your help.
0

Share this post


Link to post
Share on other sites

I had to modify the build.prop on my S3 (JB - LI5) to add the Google Prepaid Card, after that I reverted to the original values and it still works.

I'm still having problems with this, would you be able to post a copy of your build prop for me, hoping this will help.

0

Share this post


Link to post
Share on other sites

Looks like Google is forcing u to update now , I've been using last version with no issue still haven't updated , and just now when I opened Google wallet a message pop up said " this version no longer supported please update " and it tries to force u to play store ....

Any1 no if Paul is working on this new version ? Im sure there is a working version already somewhere else on xda or something but I wouldn't trust many other dev's with this sort of app ;) t

0

Share this post


Link to post
Share on other sites

I'm still having problems with this, would you be able to post a copy of your build prop for me, hoping this will help.

Same message about updating here, I guess uploading my build.prop will not help until the new version is patched..

0

Share this post


Link to post
Share on other sites

I just Tweeted Paul about it and he responded he will be patching the new version, I did not ask for an ETA though ;)

0

Share this post


Link to post
Share on other sites

Looks like Google is forcing u to update now , I've been using last version with no issue still haven't updated , and just now when I opened Google wallet a message pop up said " this version no longer supported please update " and it tries to force u to play store ....

Any1 no if Paul is working on this new version ? Im sure there is a working version already somewhere else on xda or something but I wouldn't trust many other dev's with this sort of app

Same here. Now I can't reset the app before installing this patched version.

Edited by indolent02
0

Share this post


Link to post
Share on other sites

Okay, This is really weird. Last Night GW on my Nexus S was working fine but then this morning I realized it had dissapeared. I went into root explorer and tried to reinstall it but as soon as I rebooted the phone I got an error. I it still did not show up in the app drawer but it showed up as frosted on titanium backup. De-frosted and it showed up. Now when I open wallet I get the "This Version of the Google Wallet app is no longer supported. Please Download the latest version from Android Market" when I click update it says "Your Devic isn't compatible with this version. " Whats Happening?

0

Share this post


Link to post
Share on other sites

Same here... Wallet just disappeared, I can defrost it using Titanium, but when I restart... Wallet stops with msg "Unfortunately Google Wallet Has Stopped Working"

Edited by votdfak
0

Share this post


Link to post
Share on other sites

Funny thing though...I just checked my gw online account and the app seems to still be registered to my account:gw.JPG

Edited by alu0506
0

Share this post


Link to post
Share on other sites

Same here. Now I can't reset the app before installing this patched version.

this current patched version don't work anymore anyway, and I'm sure Paul having same issue and will have a way For us all to get working. .. Edited by Drawde40599
0

Share this post


Link to post
Share on other sites

Well.. It's not looking good for all of us using the patched Wallet that have any money tied up on the prepaid card.

http://www.google.com/wallet/prepaid-refund/index.html

First of all we're locked out of resetting Wallet due to the upgrade notification, which means we can't even reset it on wallet.google.com since it doesn't see our device as connected, and to get access again when there is a new patched Wallet we risk secure element errors.

Without a new patched wallet today (or maybe tomorrow, though I'm not sure what time internationally Google will put it into effect) when Wallet is reset we won't be able to re-add our Prepaid cards, meaning the money on it will be likely be lost. Google says you can have the money refunded to you, but I'm not too sure many of us want to have to explain our fake AVS addresses on the BuyFromPowerSeller cards we added the funds from.

:(

0

Share this post


Link to post
Share on other sites

Paul tweeted the other day that he was having trouble with Wallet himself, and that he would patch it on Monday.

0

Share this post


Link to post
Share on other sites

The latest version has been patched on the XDA forums: http://forum.xda-dev...d.php?t=1810282

Has anyone tried it?

Edit:

Ok so I tried it out.. Wallet let me login but then said my default address was outside of the US..

So I changed my default address to my uncles (who lives in S.F.) and bang! I'm In with all my cards appearing..

My Google PrePaid card is missing though, and with it the option to add it again..

Edited by adam1000rr
0

Share this post


Link to post
Share on other sites

The latest version has been patched on the XDA forums: http://forum.xda-dev...d.php?t=1810282

Has anyone tried it?

Edit:

Ok so I tried it out.. Wallet let me login but then said my default address was outside of the US..

So I changed my default address to my uncles (who lives in S.F.) and bang! I'm In with all my cards appearing..

My Google PrePaid card is missing though, and with it the option to add it again..

Yep. I've tried it as well. It works (VZW, US) but with the "unsupported device" banner. No biggee.

My Goog pre-pay card is still there and it worked as well...

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

MoDaCo is part of the MoDaCo.network, © Paul O'Brien 2002-2016. MoDaCo uses IntelliTxt technology.